{% load static %}
{% load humanize %}
{% load mathfilters %}
{% load custom_tags %}


<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{title}}</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            line-height: 1.2;
            color: #000 !important;
        }
        .container {
            max-width: 880px; /* Lebar F4 sekitar 880px */
            padding: 0;
            border: 3px solid black;
            border-radius: 5px;
            line-height: 1.2;
        }
        .npwp-norek {
            font-weight: bold;
            font-style: italic;
        }
        .center{
            text-align: center;
        }
        .left{
            text-align: left;
        }
        .signature {
            margin-top: 50px;
            text-align: right; /* Menambahkan text-align: right; */
        }
        .rectangle {
            width: 200px;
            height: 70px;
            border: 2px dotted #000;
        }
        p {
            font-weight: normal;
        }

        .signature-section {
            margin-top: 40px;
            display: flex;
            justify-content: space-between;
            font-size: 12pt;
        }

        .signature-block {
            width: 45%;
            font-size: 12pt;
        }
        .signature-block p{
            margin: 0;
            padding: 0;
            font-size: 12pt;
        }

        .signature-block.right {
            text-align: right;
            font-size: 12pt;
        }

        .container-header {
            margin-top: 5px;
            width: 100%;
            border: 1px solid black;

        }

        .table-header {
            border-collapse: collapse;
            margin-top: 5px;
            margin-bottom: 5px;
            font-size: 12pt;
            padding: 10px;

        }
        .table-header td {
            padding-top: 6px;
            padding-left: 10px;
            padding-bottom: 0px;
            margin: 0;

        }
        .table-header td:first-child {
            padding-right: 30px

        }
        .kwitansi{
            margin-top: 5px;
            padding: 0px;
            border: 1px solid black;
            
        }
        .kwitansi h2{
             padding: 0;
             background: #ccc;
             border: 1px solid black;
        }
        .content{
            margin-top: 5px;
            width: 100%;
            border: 1px solid black;
        }
        .table-content {
            border-collapse: collapse;
            margin-top: 5px;
            margin-bottom: 30px;
            font-size: 12pt;
            padding: 20px;
            vertical-align: top;

        }
        .table-content td {
            padding: 10px;
            vertical-align: top;
        }
        .table-content-spk {
            border-collapse: collapse;
            margin-top: 5px;
            margin-bottom: 5px;
            font-size: 12pt;
            vertical-align: top;

        }
        .table-content-spk td {
            padding-top: 10px;
            padding-left: 10px;
            vertical-align: top;
        }

        .br-right{
            border-right: 1px solid #333 !important;
        }
        .br-bottom{
            border-bottom: 1px solid #333 !important;
        }
        .br-top{
            border-top: 1px solid #333 !important;
        }
        .br-left{
            border-left: 1px solid #333 !important;
        }

        .br-left-none{
            border-left: none !important;
        }
        .br-right-none{
            border-right: none !important;
        }
        .br-bottom-none{
            border-bottom: none !important;
        }
        
    </style>
    <link rel="stylesheet" type="text/css" href="{{url_app}}{% static 'admin/css/bootstrap.min.css' %}">
</head>
<body onload="window.print()">
    <div class="container border border-dark border-5 p-0">
        <div class="container-header border border-dark border-5 border-right-0 border-left-0">
            <table class="table-header ">
                <tr>
                    <td class="left">No. Rekening</td>
                    <td>:</td>
                    <td class="left">{{data_spk_.perusahaan.norek}} - {{ data_spk_.perusahaan.bank }}</td>
                </tr>
                <tr>
                    <td class="left">Atas Nama</td>
                    <td>:</td>
                    <td class="left">{{data_spk_.perusahaan.namaperusahaan|upper}}</td>
                </tr>
                <tr>
                    <td class="left">NPWP</td>
                    <td>:</td>
                    <td class="left">{{data_spk_.perusahaan.npwp}}</td>
                </tr>
            </table>
        </div>
        <div class="kwitansi br-left-none br-right-none">
            <h2 class="center br-left-none br-right-none">K W I T A N S I</h2>
        </div>
       
        <div class="content border border-dark border-5 border-right-0 border-left-0 pb-2">
            <table class="table-content">
                <tr>
                    <td class="left" style="width:200px;">Sudah terima dari</td>
                    <td>:</td>
                    <td class="left">Bendahara Pengeluaran {{data_spk_.opd.namaopd}} {{data_spk_.opd.lokasi.kabupaten}} {{data_spk_.opd.lokasi.provinsi}}</td>
                </tr>
    
                <tr>
                    <td class="left" style="width:200px;">Terbilang</td>
                    <td>:</td>
                    <td class="left">{{data_spp_.totalpembayaran|terbilang}}</td>
                </tr>
                <tr>
                    <td class="left" style="width:200px;">Untuk keperluan</td>
                    <td>:</td>
                    <td class="left">{{data_spk_.uraipekerjaan}} {{data_spk_.subkegiatan.kegiatan_nama}}
                    </td> 
                </tr>
            </table>
            <span style="padding-left:10px; padding-bottom:0; margin:0;">Berdasarkan SURAT PERINTAH KERJA :</span>
            <table class="table-content-spk">
                <tr>
                    <td class="left" style="width:200px;">Nomor</td>
                    <td>:</td>
                    <td class="left">{{data_spk_.nospk}}</td>
                </tr>
    
                <tr>
                    <td class="left" style="width:200px;">Tanggal</td>
                    <td>:</td>
                    <td class="left">{{data_spk_.tglspk|date:'d F Y'}}</td>
                </tr>

                <tr>
                    <td class="left" style="width:200px;">Uang sebesar</td>
                    <td>:</td>
                    <td class="left text-center">
                        <div class="rectangle text-center" style="display: table; width: 200px; height: 80px;">
                            <p style="display: table-cell; vertical-align: middle; text-align: center; margin: 0; font-size: 14pt;">
                                <b>Rp. {{ total_tagihan|floatformat:0|intcomma }}</b>
                            </p>
                        </div>
                    </td>
                    
                </tr>
            </table>

            <div class="signature-section">
                <div class="signature-block">
                </div>
        
                <div class="signature-block right">
                    <center>
                        <p>Kigamani, {{tgl_print|date:'d F Y'}}</p>
                        <p>Yang Menerima</p>
                        <p><b>{{data_spk_.perusahaan.namaperusahaan|upper}}</b></p>
                        <div style="padding-top: 70px;"></div>
                        <p><b>{{data_spk_.perusahaan.namadirektur|upper}}</b></p>
                        <p>Pimpinan</p>
                    </center>
                </div>
            </div>
        </div>
        <div class="signature-section">
            <div class="signature-block">
                <p class="center">Disetujui,</p>
                <p class="center">Pejabat Pelaksana Teknis Kegiatan (PPTK)</p>
                <br><br><br><br>
                <p class="center"><b>{{ dt_pptk.namapegawai|upper }}</b></p>
                <p class="center">NIP. {{ dt_pptk.nip }}</p>
            </div>
    
            <div class="signature-block right">
                <p class="center">Lunas Dibayarkan Oleh</p>
                <p class="center">Bendahara Pengeluaran </p>
                <br><br><br><br>
                <p class="center"><b>{{ dt_bendahara.namapegawai|upper }}</b></p>
                <p class="center">NIP. {{ dt_bendahara.nip }}</p>
            </div>
        </div>
        <div class="center">
            <p class="center m-0 p-0">Mengetahui, </p>
            <p class="center m-0 p-0">SEKRETARIS DAERAH</p>
            <p class="center m-0 p-0">KABUPATEN DOGIYAI SELAKU PENGGUNA ANGGARAN</p>
            <br><br><br><br>
            <p class="center m-0 p-0"><b>{{ dt_pengguna.namapegawai|upper }}</b></p>
            <p class="center m-0 p-0">NIP. {{ dt_pengguna.nip }}</p>
        </div>
    </div>
</body>
</html>
